﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>GridView 클래스 사용하기</title>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <asp:GridView ID="gridView" runat="server"
                    AutoGenerateColumns="false">
                    <Columns>
                        <asp:BoundField    HeaderText="ID"     DataField="ID"      />
                        <asp:BoundField    HeaderText="제목"   DataField="Subject" />
                        <asp:TemplateField HeaderText="작성일">
                            <ItemTemplate>
                                <%# Eval("WriteDate") %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField    HeaderText="분류"   DataField="Category" />
                        <asp:HyperLinkField HeaderText="[수정]" 
                            DataTextField="ID"
                            DataTextFormatString="[수정]"
                            DataNavigateUrlFormatString="UpdatePage.aspx?ID={0}"
                            DataNavigateUrlFields="ID" />
                        <asp:HyperLinkField HeaderText="[삭제]" 
                            DataTextField="ID"
                            DataTextFormatString="[삭제]"
                            DataNavigateUrlFormatString="DeletePage.aspx?ID={0}"
                            DataNavigateUrlFields="ID" />
                    </Columns>
                </asp:GridView>
            </div>
        </form>
    </body>
</html>